Last modified: 2014-06-17 17:53:20 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 63843 - Times New Roman font appearing unintentionally on he.wp (as Georgia font has no support for Hebrew)
Times New Roman font appearing unintentionally on he.wp (as Georgia font has ...
Status: NEW
Product: MediaWiki skins
Classification: Unclassified
Vector (Other open bugs)
unspecified
All All
: Normal minor
: ---
Assigned To: Nobody - You can work on this!
https://commons.wikimedia.org/wiki/Fi...
:
Depends on:
Blocks: typography-refresh
  Show dependency treegraph
 
Reported: 2014-04-12 01:11 UTC by dalilonim
Modified: 2014-06-17 17:53 UTC (History)
8 users (show)

See Also:
Web browser: Google Chrome
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description dalilonim 2014-04-12 01:11:54 UTC
Intention:
its just the new Typography design problems. its a constant problem



Expected Results:  
to be fixed

Reproducible: Didn't try

no skin - vector... [[File:Typography refresh - Times new roman header - new-vers.png|thumb|Typography refresh - Times new roman header font family shouldn't appear]]
Comment 1 Andre Klapper 2014-04-12 13:55:14 UTC
(In reply to dalilonim from comment #0)
> Intention:
> its just the new Typography design problems. its a constant problem

"Intention" is supposed to explain what you're trying to do on the website.

> Expected Results:  
> to be fixed

"Expected results" is supposed to explain which results you expected from the action that you had taken before on the website.

How is this related to OOjs? Also, what are exact steps to reproduce, which URL can the problem be seen on, and which browser, browser version and operating system do you use? (For general info, see [[mw:How to report a bug]])
Comment 2 dalilonim 2014-04-12 15:17:06 UTC
its not a private matter - its a collective complain, and not local, for all he.wiki. for URL just select a random article - i attached screenshots of this one: [https://he.wikipedia.org/wiki/%D7%9E%D7%A8%D7%97%D7%91-%D7%96%D7%9E%D7%9F]

if thats not the place to report it, then could u pass them this file please (god i dont wanna fill these again). or direct me there?
tnx,
~~~~
Comment 3 Andre Klapper 2014-04-12 16:53:29 UTC
Which browser, browser version and operating system do you use?

The #firstHeading definition says for font-family:
 "Linux Libertine",Georgia,Times,serif
so Times will appear if Linux Libertine and Georgia are not available on your system.

Could you please elaborate what exactly the bug is that you are reporting, and why you think that it's a bug?
Comment 4 dalilonim 2014-04-12 17:41:34 UTC
we were told times new roman should not appear: "Times New Roman should not be displayed for any users. Both Windows and Mac users have Georgia, which is the specified font. For Linux, they should be getting Nimbus Roman No9 L. <font style="font-family:Georgia, serif;">[[User:Steven (WMF)|Steven Walling (WMF)]]&nbsp;&bull;&nbsp;[[User talk:Steven"

so if not suppose to appear it's a bug and one that people dont like so not welcomed act of god... 

we got most responses from users of pc, using windows and google chrome.
Comment 5 Andre Klapper 2014-04-12 18:25:46 UTC
I see. Could you ask if these Windows users have the Georgia font installed?
Comment 6 Steven Walling 2014-04-12 20:45:10 UTC
(In reply to dalilonim from comment #4)
> we were told times new roman should not appear: "Times New Roman should not
> be displayed for any users. Both Windows and Mac users have Georgia, which
> is the specified font. For Linux, they should be getting Nimbus Roman No9 L.
> <font style="font-family:Georgia, serif;">[[User:Steven (WMF)|Steven Walling
> (WMF)]]&nbsp;&bull;&nbsp;[[User talk:Steven"
> 
> so if not suppose to appear it's a bug and one that people dont like so not
> welcomed act of god... 
> 
> we got most responses from users of pc, using windows and google chrome.

I cannot replicate this bug on Windows XP, 7, or 8. The only way I think Times New Roman could be appearing for Windows users on Chrome is if they have disabled the Georgia font, or they are using a language which is not supported by Georgia. Is this specific a single user or language?
Comment 7 Andre Klapper 2014-04-12 20:51:36 UTC
(In reply to Steven Walling from comment #6)
> Is this specific a single user or language?

This is about Hebrew.
Comment 8 dalilonim 2014-04-12 23:35:03 UTC
i think Georgia font doesn't have a Hebrew implementation - see [http://en.wikipedia.org/wiki/List_of_Microsoft_Windows_fonts]
Comment 9 dalilonim 2014-04-13 00:26:26 UTC
it seems i should mention this issue is connected to another one - [https://bugzilla.wikimedia.org/show_bug.cgi?id=63844]. sorry for inconvenience -  probably should have mentioned that before. it came up in the dialog on the other problem...
Comment 10 Jon 2014-04-14 18:07:36 UTC
See https://gerrit.wikimedia.org/r/125760 - this could hopefully help with choosing a better font stack for the Hebrew language for headings - although what the font stack is I'm not sure.
Comment 11 Erwin Dokter 2014-04-19 10:36:29 UTC
Georgia indeed has no support for Hebrew. In that regard, the font stack works as expected and falls back to Times (New Roman). If Times works properly, then it is an aesthetic issue. If you do want a better font for headers, You can override it in your MediaWiki:Vector.css.
Comment 12 dalilonim 2014-04-19 11:10:23 UTC
(In reply to Erwin Dokter from comment #11)
> Georgia indeed has no support for Hebrew. In that regard, the font stack
> works as expected and falls back to Times (New Roman). If Times works
> properly, then it is an aesthetic issue. If you do want a better font for
> headers, You can override it in your MediaWiki:Vector.css.

that we know already. we donot want a personal solution for editors but for all hebrew wiki. and i regarding the aesthetic definition, the whole new typography is well designed for Latin font but don't work for us and this aint the only problem with it.
Comment 13 Erwin Dokter 2014-04-19 12:19:23 UTC
When I siad MediaWiki:Vector.css, I did not mean the personal CSS file, but the one for the entire site: https://he.wikipedia.org/wiki/MediaWiki:Vector.css
Comment 14 dalilonim 2014-04-19 14:19:24 UTC
ok. sorry for misunderstanding. tnx

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links